GNU bug report logs - #43419
[PATCH: gnu: calibre: Clean up 'wrap phase]

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Prafulla Giri <pratheblackdiamond@HIDDEN>; Keywords: patch; Done: Mathieu Othacehe <othacehe@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 43419-done <at> debbugs.gnu.org:


Received: (at 43419-done) by debbugs.gnu.org; 18 Sep 2020 13:25:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 18 09:25:04 2020
Received: from localhost ([127.0.0.1]:41294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kJGNs-0000hu-1x
	for submit <at> debbugs.gnu.org; Fri, 18 Sep 2020 09:25:04 -0400
Received: from mail-pj1-f42.google.com ([209.85.216.42]:50412)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pratheblackdiamond@HIDDEN>) id 1kJGNp-0000hQ-Bh
 for 43419-done <at> debbugs.gnu.org; Fri, 18 Sep 2020 09:25:01 -0400
Received: by mail-pj1-f42.google.com with SMTP id fa1so3175466pjb.0
 for <43419-done <at> debbugs.gnu.org>; Fri, 18 Sep 2020 06:25:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Q0MUD8roY5C/MOSjOL91N20AJhdIyPRYhbvHcorJt/o=;
 b=aUEs6Wsi/3ToNR49RmcB3fzLAyc7a47o98RMgkJ2JfZqLAvvPrXbCMgbm0JoYTWL+q
 HQIGU/hjtOYz9OAMDhECjrqu2W55DYoBJ3bckHkUYnVjGWE8FR1oAKBF+Uogq3E4tyVJ
 0SvaQOvUeqNq8JmYRcD+ofiUsTXkLUtH4KWTMJudr7ifvGqEObp4io5v3Qc2YwWe1qv3
 L3zrtjRVseOmmGaVtFZEAxpWZXQx5N8AktTn4xONhhZ7jqpjQ4wCenruS5urLnsGBinE
 tUBiBzUImjLvv7t5wGpaAzRRxxFvQxaFlqfuzRIGEzS4RB0/LN0/uvehmoWT3OSoR3IO
 sQLg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Q0MUD8roY5C/MOSjOL91N20AJhdIyPRYhbvHcorJt/o=;
 b=jvEISIEpZltl0enrVmCkWaY1t9NodO4CCCBXVSVUcbcc4anaX504+5r1I+zXbKAlwp
 gtrpMr/E8cuBzo4S1F48MxSv4ev4+FnzL+c3JZswvVnm1PTX9+5IZoK+qfrEw6ZkIos1
 QR0oxQhSsNnKBO7cZLjKyOsrGZd+OWQOZUiqr/wrrTUaRCYl6tWcLJz/uC8KXwRT/pUA
 EenF+EjHeA5RC9IgIdr44C8FXkCmEaAK49SuUk04+K7MBqad0ZA8129wVwLsC10D1835
 Bm5JMe5DXbKzzDZytVRH/hs65Uv/CoFuBhV43s6+toFthrWna9pl8H/VKM/vauloSccH
 Ufzg==
X-Gm-Message-State: AOAM531NkJLUTLAw2GSrfzNzx6Yuwr9/jwuH723ua0HN5/J+QnKUSRrs
 ukc7L4V8S6b3JUQ9VBof9kTPyKYb3vraRkPBCgA=
X-Google-Smtp-Source: ABdhPJxSgD6xKItqrAWMdG3+gAC4dXaShJDIfd8UzmtQYsD9VCLCq66pWRjbvE6vsQwRX0BwVexfjFkwfV4cPpJ8rSo=
X-Received: by 2002:a17:90b:164e:: with SMTP id
 il14mr12569999pjb.5.1600435495385; 
 Fri, 18 Sep 2020 06:24:55 -0700 (PDT)
MIME-Version: 1.0
References: <CAFw+=j2N4wiwKA1pK2Y_zYPX+cBEjKRNwptivnJ0jBGyVTORmA@HIDDEN>
 <87bli3z0br.fsf@HIDDEN>
In-Reply-To: <87bli3z0br.fsf@HIDDEN>
From: Prafulla Giri <pratheblackdiamond@HIDDEN>
Date: Fri, 18 Sep 2020 19:09:43 +0545
Message-ID: <CAFw+=j1aLdiMH+_dGorQBYEtYfGU3Th_MLrD1rheZ+e0TDqGtQ@HIDDEN>
Subject: Re: [bug#43419] [PATCH: gnu: calibre: Clean up 'wrap phase]
To: Mathieu Othacehe <othacehe@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000030472205af966d4f"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43419-done
Cc: 43419-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000030472205af966d4f
Content-Type: text/plain; charset="UTF-8"

Thank you very much, once again, Mr. Othacehe. (:

On Fri, Sep 18, 2020 at 7:07 PM Mathieu Othacehe <othacehe@HIDDEN> wrote:

>
> Hello,
>
> > This commit cleans up the changes made by
> fd3eac4dd774597d493e6d8aae7b1c2653070bc7 (which worked-around the issue of
> repeated (wrap-program) calls creating wrappers of
> > wrappers --- i.e. ..calibre-real-real-s --- by creating a manual 'wrap
> phase that did the work of the standard 'wrap phase and also the runtime
> dependency resolution of
> > QtWebEngineProcess), based on the suggestion of the author of the commit
> himself (https://issues.guix.gnu.org/43249#14).
> >
> > For more information, please consult the discussions in
> https://issues.guix.gnu.org/43249
>
> This seems indeed nicer, pushed!
>
> Thanks,
>
> Mathieu
> --
> https://othacehe.org
>

--00000000000030472205af966d4f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Thank you very much, once again, Mr. Othacehe. (:<br></div=
><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Fr=
i, Sep 18, 2020 at 7:07 PM Mathieu Othacehe &lt;<a href=3D"mailto:othacehe@=
gnu.org">othacehe@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmai=
l_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,20=
4,204);padding-left:1ex"><br>
Hello,<br>
<br>
&gt; This commit cleans up the changes made by fd3eac4dd774597d493e6d8aae7b=
1c2653070bc7 (which worked-around the issue of repeated (wrap-program) call=
s creating wrappers of<br>
&gt; wrappers --- i.e. ..calibre-real-real-s --- by creating a manual &#39;=
wrap phase that did the work of the standard &#39;wrap phase and also the r=
untime dependency resolution of<br>
&gt; QtWebEngineProcess), based on the suggestion of the author of the comm=
it himself (<a href=3D"https://issues.guix.gnu.org/43249#14" rel=3D"norefer=
rer" target=3D"_blank">https://issues.guix.gnu.org/43249#14</a>).<br>
&gt;<br>
&gt; For more information, please consult the discussions in <a href=3D"htt=
ps://issues.guix.gnu.org/43249" rel=3D"noreferrer" target=3D"_blank">https:=
//issues.guix.gnu.org/43249</a><br>
<br>
This seems indeed nicer, pushed!<br>
<br>
Thanks,<br>
<br>
Mathieu<br>
-- <br>
<a href=3D"https://othacehe.org" rel=3D"noreferrer" target=3D"_blank">https=
://othacehe.org</a><br>
</blockquote></div>

--00000000000030472205af966d4f--




Information forwarded to guix-patches@HIDDEN:
bug#43419; Package guix-patches. Full text available.

Message received at 43419-done <at> debbugs.gnu.org:


Received: (at 43419-done) by debbugs.gnu.org; 18 Sep 2020 13:22:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 18 09:22:43 2020
Received: from localhost ([127.0.0.1]:41284 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kJGLb-0000dM-BV
	for submit <at> debbugs.gnu.org; Fri, 18 Sep 2020 09:22:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1kJGLZ-0000d4-HB
 for 43419-done <at> debbugs.gnu.org; Fri, 18 Sep 2020 09:22:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46919)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1kJGLU-0001bS-89; Fri, 18 Sep 2020 09:22:36 -0400
Received: from [2a01:e0a:19b:d9a0:9d9d:97cc:d92a:8ac0] (port=53918 helo=cervin)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <othacehe@HIDDEN>)
 id 1kJGLS-0001ss-Ue; Fri, 18 Sep 2020 09:22:35 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Prafulla Giri <pratheblackdiamond@HIDDEN>
Subject: Re: [bug#43419] [PATCH: gnu: calibre: Clean up 'wrap phase]
References: <CAFw+=j2N4wiwKA1pK2Y_zYPX+cBEjKRNwptivnJ0jBGyVTORmA@HIDDEN>
Date: Fri, 18 Sep 2020 15:22:32 +0200
In-Reply-To: <CAFw+=j2N4wiwKA1pK2Y_zYPX+cBEjKRNwptivnJ0jBGyVTORmA@HIDDEN>
 (Prafulla Giri's message of "Tue, 15 Sep 2020 17:32:08 +0545")
Message-ID: <87bli3z0br.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43419-done
Cc: 43419-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello,

> This commit cleans up the changes made by fd3eac4dd774597d493e6d8aae7b1c2653070bc7 (which worked-around the issue of repeated (wrap-program) calls creating wrappers of
> wrappers --- i.e. ..calibre-real-real-s --- by creating a manual 'wrap phase that did the work of the standard 'wrap phase and also the runtime dependency resolution of
> QtWebEngineProcess), based on the suggestion of the author of the commit himself (https://issues.guix.gnu.org/43249#14).
>
> For more information, please consult the discussions in https://issues.guix.gnu.org/43249

This seems indeed nicer, pushed!

Thanks,

Mathieu
-- 
https://othacehe.org




Notification sent to Prafulla Giri <pratheblackdiamond@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Mathieu Othacehe <othacehe@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Sep 2020 11:47:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 15 07:47:30 2020
Received: from localhost ([127.0.0.1]:57436 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kI9Qn-0000s8-SP
	for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 07:47:30 -0400
Received: from lists.gnu.org ([209.51.188.17]:46422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pratheblackdiamond@HIDDEN>) id 1kI9Qk-0000ry-IF
 for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 07:47:29 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38766)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pratheblackdiamond@HIDDEN>)
 id 1kI9Qj-0005KG-Dy
 for guix-patches@HIDDEN; Tue, 15 Sep 2020 07:47:26 -0400
Received: from mail-pg1-x531.google.com ([2607:f8b0:4864:20::531]:34497)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <pratheblackdiamond@HIDDEN>)
 id 1kI9Qg-0004Qs-1F
 for guix-patches@HIDDEN; Tue, 15 Sep 2020 07:47:24 -0400
Received: by mail-pg1-x531.google.com with SMTP id u13so1878234pgh.1
 for <guix-patches@HIDDEN>; Tue, 15 Sep 2020 04:47:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=6IkQrhItMI+DPEFtuiUop1A7bpv3nVOyWbp2EKKna9k=;
 b=Ibu6XdqqLGyaK5AVXsqO+0JSetTS74BpbEgoHdkxFG5jVXW+2sHJIYRyHxlRheHQyc
 UKb8MJY5uqnGZkwwOKbuO7ufsVf/9AThWPXyH+79KoA4CUbjm7ukuwjzNiBj4nw1Bxew
 VzD9iJMYV580X3hR5RI0kRYFgAZtYjkXSRHUgNQpuIZRqesA68qw2i+z2IRBNqbM9Otf
 Y4Zxclr1juP2TMgV9vZuqO7LCJoPMcsC7Ubo54aHGIoGVo6E9wi4h/QzZZggHFD4OUo2
 kwbpP3Q2uj6U+tBK0FOAOH49Nk7g89TCZObYkOlpWXW/mi8Vx6R0txgm1mIlNhp9SEzP
 jWbw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=6IkQrhItMI+DPEFtuiUop1A7bpv3nVOyWbp2EKKna9k=;
 b=jhCeV4m6lHjwp7alXoifOtzzkyvpVWr3dY6vLnSFCtTOFP7D1LoxpKqVgNqxx/RPB6
 bRGui2QiH2Bk3CRSVa78TwExHmn1FIah512CZilcvsf2Zu7OJKDix7c3py6bM0Z6dHi5
 Cc5t8s1eZjuwOalRfYSAMso9ufJ4P9OY5/1Q3AiESVbMIIs2t1UQfEsl6lPTBd5RRwR9
 2mIDigj1k+9zItGfcMgK+PnehzvijnUAOWbcEh6g1mFGWaYGjcZfvAlYEX379e70VjwT
 1js6wQLVGaQId1MOvX1JYhkP9N7beng0UXUIAzXoRDFc8CM8kJiaBPpjBRtFzKGrsrca
 2wRg==
X-Gm-Message-State: AOAM531/MOvB0blVM03t8L6eqEOIOLBNBwcUageTnAuAe56MAAT2rWc6
 1NVXgh3bkVZfTe2HNBsxXCuJaX9AsCZmkc3+tQeCDX3fauGZ2w==
X-Google-Smtp-Source: ABdhPJxivKKBdC65dkumRDt3FdEwgaRgTw4wCkrGK7NTYMDZgrgPc7favGTo0sTolmOck6VCWsMwqCR/G8iOIEtd0Zc=
X-Received: by 2002:a62:8607:0:b029:13f:b379:480a with SMTP id
 x7-20020a6286070000b029013fb379480amr15217931pfd.5.1600170439989; Tue, 15 Sep
 2020 04:47:19 -0700 (PDT)
MIME-Version: 1.0
From: Prafulla Giri <pratheblackdiamond@HIDDEN>
Date: Tue, 15 Sep 2020 17:32:08 +0545
Message-ID: <CAFw+=j2N4wiwKA1pK2Y_zYPX+cBEjKRNwptivnJ0jBGyVTORmA@HIDDEN>
Subject: [PATCH: gnu: calibre: Clean up 'wrap phase]
To: guix-patches@HIDDEN
Content-Type: multipart/mixed; boundary="000000000000a8296805af58b68f"
Received-SPF: pass client-ip=2607:f8b0:4864:20::531;
 envelope-from=pratheblackdiamond@HIDDEN; helo=mail-pg1-x531.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000a8296805af58b68f
Content-Type: multipart/alternative; boundary="000000000000a8296205af58b68d"

--000000000000a8296205af58b68d
Content-Type: text/plain; charset="UTF-8"

Esteemed maintainers,

This commit cleans up the changes made by
fd3eac4dd774597d493e6d8aae7b1c2653070bc7 (which worked-around the issue of
repeated (wrap-program) calls creating wrappers of wrappers --- i.e.
..calibre-real-real-s --- by creating a manual 'wrap phase that did the
work of the standard 'wrap phase and also the runtime dependency resolution
of QtWebEngineProcess), based on the suggestion of the author of the commit
himself (https://issues.guix.gnu.org/43249#14).

For more information, please consult the discussions in
https://issues.guix.gnu.org/43249

Thank you

--000000000000a8296205af58b68d
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Esteemed maintainers,</div><div><br></div><div>This c=
ommit cleans up the changes made by fd3eac4dd774597d493e6d8aae7b1c2653070bc=
7 (which worked-around the issue of repeated (wrap-program) calls creating =
wrappers of wrappers --- i.e. ..calibre-real-real-s --- by creating a manua=
l &#39;wrap phase that did the work of the standard &#39;wrap phase and als=
o the runtime dependency resolution of QtWebEngineProcess), based on the su=
ggestion of the author of the commit himself (<a href=3D"https://issues.gui=
x.gnu.org/43249#14">https://issues.guix.gnu.org/43249#14</a>).</div><div><b=
r></div><div>For more information, please consult the discussions in<span c=
lass=3D"gmail-address"> <a href=3D"https://issues.guix.gnu.org/43249">https=
://issues.guix.gnu.org/43249</a></span></div><div><span class=3D"gmail-addr=
ess"><br></span></div><div><span class=3D"gmail-address">Thank you<br></spa=
n></div></div>

--000000000000a8296205af58b68d--

--000000000000a8296805af58b68f
Content-Type: text/x-patch; charset="US-ASCII"; 
	name="0001-gnu-calibre-Clean-up-wrap-phase.patch"
Content-Disposition: attachment; 
	filename="0001-gnu-calibre-Clean-up-wrap-phase.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_kf3w4qkg0>
X-Attachment-Id: f_kf3w4qkg0
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--000000000000a8296805af58b68f--




Acknowledgement sent to Prafulla Giri <pratheblackdiamond@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#43419; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 18 Sep 2020 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.